petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscStageLogGetClassRegLog

This function returns the PetscClassRegLog for the given stage.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogGetClassRegLog(PetscStageLog stageLog, PetscClassRegLog *classLog)

Not Collective

### Input Parameters

stageLog -The PetscStageLog

### Output Parameter

classLog -The PetscClassRegLog

### See Also

PetscStageLogPush(), PetscStageLogPop(), PetscLogGetStageLog()

### Level

developer

### Location

src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages